#define stepPin 2
#define dirPin 3
#define enablePin 4

void setup() {
  // We set the enable pin to be an output
  pinMode(enablePin, OUTPUT);
  // then we set it HIGH so that the board is disabled until we
  // get into a known state.
  digitalWrite(enablePin, HIGH);
  Serial.begin(9600);
  Serial.println("Starting stepper exerciser.");
  pinMode(stepPin, OUTPUT);
  pinMode(dirPin, OUTPUT);
  
  delay(2000);
  
  int j;
  int i;
  // set the enablePin low so that we can now use our stepper driver.
  digitalWrite(enablePin, LOW);
  // wait a few microseconds for the enable to take effect
  // (That isn't in the spec sheet I just added it for sanity.)
  delayMicroseconds(2);
  // we set the direction pin in an arbitrary direction.

//200 = 1 rotation

  digitalWrite(dirPin, HIGH);
  i = 22000;
  for(j=0; j<=800; j++) {
    digitalWrite(stepPin, LOW);
    delayMicroseconds(2);
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(i);
    if (i>2000) i = i - 200;
  }

  delay(1000);
  digitalWrite(dirPin, LOW);
  i = 22000;
  for(j=0; j<=600; j++) {
    digitalWrite(stepPin, LOW);
    delayMicroseconds(2);
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(i);
    if (i>2000) i = i - 200;
  }

  delay(1000);
  digitalWrite(dirPin, HIGH);
  i = 22000;
  for(j=0; j<=400; j++) {
    digitalWrite(stepPin, LOW);
    delayMicroseconds(2);
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(i);
    if (i>2000) i = i - 200;
  }

  delay(1000);
  digitalWrite(dirPin, LOW);
  i = 22000;
  for(j=0; j<=600; j++) {
    digitalWrite(stepPin, LOW);
    delayMicroseconds(2);
    digitalWrite(stepPin, HIGH);
    delayMicroseconds(i);
    if (i>2000) i = i - 200;
  }

  digitalWrite(enablePin, HIGH);


}

void loop() {
}
